Changeset 4144

Show
Ignore:
Timestamp:
05/06/08 23:57:51 (6 years ago)
Author:
douglask
Message:

Later Tcl source distributions include a tcl.m4 file which has Tcl/Tk specific autoconf macros.

Using tcl.m4 is now the recommended approach to capture some important Tcl/Tk results in a configure script.

VIC wasn't able to build against Tcl/Tk 8.5, adding Tcl/Tk 8.5 support was a good opportunity for modifying configure.in to use tcl.m4.

configure.in.x11 is no longer required and has been deleted as tcl.m4 provides the X11 switches that were used to build the Tk that VIC is linking against.

To simplify things in Makefile.in and configure.in.tk, support for optionMenu.tcl and scrollbar.tcl filenames as supplied with Unix Tcl/Tk 7.5 and earlier has been dropped. Those files are now called optMenu.tcl and scrlbar.tcl respectively in newer versions of Tk.

Location:
vic/branches/mpeg4
Files:
2 added
1 removed
4 modified

Legend:

Unmodified
Added
Removed
  • vic/branches/mpeg4/Makefile.in

    r4052 r4144  
    8181                $(LIBRARY_TK)/tearoff.tcl \ 
    8282                $(LIBRARY_TK)/text.tcl \ 
    83                 @V_TKDOSNAMES@ 
     83                $(LIBRARY_TK)/optMenu.tcl \ 
     84                $(LIBRARY_TK)/scrlbar.tcl 
    8485 
    8586LIB_GRABBER = @V_LIB_GRABBER@ 
  • vic/branches/mpeg4/configure

    r4098 r4144  
    310310#endif" 
    311311 
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP V_INCLUDE_X11 V_LIB_X11 V_INCLUDE_TCL V_LIB_TCL V_LIBRARY_TCL V_TKDOSNAMES V_INCLUDE_TK V_LIB_TK V_LIBRARY_TK V_LIB_FFMPEG V_LIB_X264 V_INCLUDE_GRABBER V_LIB_GRABBER V_OBJ_GRABBER V_LIB_XIL V_OBJ_XIL V_OBJ V_LIB V_CODEC_LIB V_CPUDETECT_OBJ V_STATIC V_TAR_TARGET V_ALL V_CCOPT V_CCOPT_H261 V_TAR_EXTRA V_DEFINE V_SIGRET V_SHELL V_TARCMD V_INCLUDE V_BROKEN_OBJ V_OBJ_CRYPT LIBOBJS LTLIBOBJS' 
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP TCL_VERSION TCL_PATCH_LEVEL TCL_BIN_DIR TCL_SRC_DIR TCL_LIB_FILE TCL_LIB_FLAG TCL_LIB_SPEC TCL_STUB_LIB_FILE TCL_STUB_LIB_FLAG TCL_STUB_LIB_SPEC TK_VERSION TK_BIN_DIR TK_SRC_DIR TK_LIB_FILE TK_LIB_FLAG TK_LIB_SPEC TK_STUB_LIB_FILE TK_STUB_LIB_FLAG TK_STUB_LIB_SPEC V_INCLUDE_TCL V_LIBRARY_TCL V_LIB_TCL V_INCLUDE_TK V_LIBRARY_TK V_LIB_TK V_INCLUDE_X11 V_LIB_X11 V_LIB_FFMPEG V_LIB_X264 V_INCLUDE_GRABBER V_LIB_GRABBER V_OBJ_GRABBER V_LIB_XIL V_OBJ_XIL V_OBJ V_LIB V_CODEC_LIB V_CPUDETECT_OBJ V_STATIC V_TAR_TARGET V_ALL V_CCOPT V_CCOPT_H261 V_TAR_EXTRA V_DEFINE V_SIGRET V_SHELL V_TARCMD V_INCLUDE V_BROKEN_OBJ V_OBJ_CRYPT LIBOBJS LTLIBOBJS' 
    313313ac_subst_files='' 
    314314 
     
    873873  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no) 
    874874--with-fore=path        specify a pathname for fore atm 
    875 --with-ucltcl=path      specify a pathname for UCL's tcl 
    876 --with-tcl=path specify a pathname for tcl 
    877 --with-ucltk=path       specify a pathname for UCL's tk 
    878 --with-tk=path  specify a pathname for tk 
     875  --with-tcl              directory containing tcl configuration 
     876                          (tclConfig.sh) 
     877  --with-tk               directory containing tk configuration (tkConfig.sh) 
    879878--with-aix-shm=path     specify a pathname for the AIX shm X extension library file 
    880879--with-qcam=dir     specify directory with qcam.h for Connectix QuickCam device driver 
     
    37103709fi; 
    37113710 
    3712 if test "$aquatk" != "yes" -a "$mingw" != "yes"; then 
    3713  
    3714 xlibdirs="\ 
    3715         /usr/openwin/lib \ 
    3716         /usr/X11R6/lib64 \ 
    3717         /usr/lib64/X11R6 \ 
    3718         /usr/X11R6/lib \ 
    3719         /usr/lib/X11R6 \ 
    3720         /usr/X11R5/lib \ 
    3721         /usr/lib/X11R5 \ 
    3722         /usr/X11R4/lib \ 
    3723         /usr/lib/X11R4 \ 
    3724         /usr/local/lib \ 
    3725         /usr/X386/lib \ 
    3726         /usr/X11/lib \ 
    3727         /usr/unsupported/lib \ 
    3728         /import/X11R4/usr/lib" 
    3729  
    3730 xincdirs="\ 
    3731         /usr/openwin/include \ 
    3732         /usr/X11R6/include \ 
    3733         /usr/include/X11R6 \ 
    3734         /usr/X11R5/include \ 
    3735         /usr/include/X11R5 \ 
    3736         /usr/X11R4/include \ 
    3737         /usr/include/X11R4 \ 
    3738         /usr/local/include \ 
    3739         /usr/X386/include \ 
    3740         /usr/X11/include \ 
    3741         /usr/lpp/X11/include \ 
    3742         /usr/unsupported/include \ 
    3743         /import/X11R4/include" 
    3744  
    3745  
    3746 echo "checking for X11 header files" 
    3747 if test "$x_includes" = NONE ; then 
    3748         cat >conftest.$ac_ext <<_ACEOF 
    3749 /* confdefs.h.  */ 
    3750 _ACEOF 
    3751 cat confdefs.h >>conftest.$ac_ext 
    3752 cat >>conftest.$ac_ext <<_ACEOF 
    3753 /* end confdefs.h.  */ 
    3754 #include <X11/Intrinsic.h> 
    3755 _ACEOF 
    3756 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    3757   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    3758   ac_status=$? 
    3759   grep -v '^ *+' conftest.er1 >conftest.err 
    3760   rm -f conftest.er1 
    3761   cat conftest.err >&5 
    3762   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3763   (exit $ac_status); } >/dev/null; then 
    3764   if test -s conftest.err; then 
    3765     ac_cpp_err=$ac_c_preproc_warn_flag 
    3766     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    3767   else 
    3768     ac_cpp_err= 
    3769   fi 
    3770 else 
    3771   ac_cpp_err=yes 
    3772 fi 
    3773 if test -z "$ac_cpp_err"; then 
    3774   x_includes="" 
    3775 else 
    3776   echo "$as_me: failed program was:" >&5 
    3777 sed 's/^/| /' conftest.$ac_ext >&5 
    3778  
    3779   x_includes=NONE 
    3780 fi 
    3781 rm -f conftest.err conftest.$ac_ext 
    3782         if test "$x_includes" = NONE ; then 
    3783                 for i in $xincdirs ; do 
    3784                         if test -r $i/X11/Intrinsic.h; then 
    3785                                 x_includes=$i 
    3786                                 break 
    3787                         fi 
    3788                 done 
    3789                 if test "$x_includes" = NONE ; then 
    3790                         echo "can't find X includes" 
    3791                         exit 1 
    3792                 fi 
    3793         fi 
    3794 fi 
    3795 if test -n "$x_includes" ; then 
    3796         V_INCLUDE_X11="-isystem $x_includes" 
    3797  
    3798 fi 
    3799  
    3800 echo "checking for X11 library archive" 
    3801 if test "$x_libraries" = NONE ; then 
    3802         echo "$as_me:$LINENO: checking for XOpenDisplay in -lX11" >&5 
    3803 echo $ECHO_N "checking for XOpenDisplay in -lX11... $ECHO_C" >&6 
    3804 if test "${ac_cv_lib_X11_XOpenDisplay+set}" = set; then 
    3805   echo $ECHO_N "(cached) $ECHO_C" >&6 
    3806 else 
    3807   ac_check_lib_save_LIBS=$LIBS 
    3808 LIBS="-lX11  $LIBS" 
    3809 cat >conftest.$ac_ext <<_ACEOF 
    3810 /* confdefs.h.  */ 
    3811 _ACEOF 
    3812 cat confdefs.h >>conftest.$ac_ext 
    3813 cat >>conftest.$ac_ext <<_ACEOF 
    3814 /* end confdefs.h.  */ 
    3815  
    3816 /* Override any gcc2 internal prototype to avoid an error.  */ 
    3817 #ifdef __cplusplus 
    3818 extern "C" 
    3819 #endif 
    3820 /* We use char because int might match the return type of a gcc2 
    3821    builtin and then its argument prototype would still apply.  */ 
    3822 char XOpenDisplay (); 
    3823 int 
    3824 main () 
    3825 { 
    3826 XOpenDisplay (); 
    3827   ; 
    3828   return 0; 
    3829 } 
    3830 _ACEOF 
    3831 rm -f conftest.$ac_objext conftest$ac_exeext 
    3832 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    3833   (eval $ac_link) 2>conftest.er1 
    3834   ac_status=$? 
    3835   grep -v '^ *+' conftest.er1 >conftest.err 
    3836   rm -f conftest.er1 
    3837   cat conftest.err >&5 
    3838   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3839   (exit $ac_status); } && 
    3840          { ac_try='test -z "$ac_c_werror_flag" 
    3841                          || test ! -s conftest.err' 
    3842   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    3843   (eval $ac_try) 2>&5 
    3844   ac_status=$? 
    3845   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3846   (exit $ac_status); }; } && 
    3847          { ac_try='test -s conftest$ac_exeext' 
    3848   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    3849   (eval $ac_try) 2>&5 
    3850   ac_status=$? 
    3851   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3852   (exit $ac_status); }; }; then 
    3853   ac_cv_lib_X11_XOpenDisplay=yes 
    3854 else 
    3855   echo "$as_me: failed program was:" >&5 
    3856 sed 's/^/| /' conftest.$ac_ext >&5 
    3857  
    3858 ac_cv_lib_X11_XOpenDisplay=no 
    3859 fi 
    3860 rm -f conftest.err conftest.$ac_objext \ 
    3861       conftest$ac_exeext conftest.$ac_ext 
    3862 LIBS=$ac_check_lib_save_LIBS 
    3863 fi 
    3864 echo "$as_me:$LINENO: result: $ac_cv_lib_X11_XOpenDisplay" >&5 
    3865 echo "${ECHO_T}$ac_cv_lib_X11_XOpenDisplay" >&6 
    3866 if test $ac_cv_lib_X11_XOpenDisplay = yes; then 
    3867   x_libraries="" 
    3868 else 
    3869   x_libraries=NONE 
    3870 fi 
    3871  
    3872         if test "$x_libraries" = NONE ; then 
    3873                 for i in $xlibdirs ; do 
    3874                         if test -r $i/libX11.a; then 
    3875                                 x_libraries=$i 
    3876                                 break 
    3877                         fi 
    3878                 done 
    3879                 if test "$x_libraries" = NONE ; then 
    3880                         echo "can't find X library" 
    3881                         exit 1 
    3882                 fi 
    3883         fi 
    3884 fi 
    3885  
    3886 V_LIB_X11=-lX11 
    3887  
    3888 if test -n "$V_SHM" ; then 
    3889         if test -z "$x_libraries" ; then 
    3890                 echo "$as_me:$LINENO: checking for XShmAttach in -lXext" >&5 
    3891 echo $ECHO_N "checking for XShmAttach in -lXext... $ECHO_C" >&6 
    3892 if test "${ac_cv_lib_Xext_XShmAttach+set}" = set; then 
    3893   echo $ECHO_N "(cached) $ECHO_C" >&6 
    3894 else 
    3895   ac_check_lib_save_LIBS=$LIBS 
    3896 LIBS="-lXext -lX11 $LIBS" 
    3897 cat >conftest.$ac_ext <<_ACEOF 
    3898 /* confdefs.h.  */ 
    3899 _ACEOF 
    3900 cat confdefs.h >>conftest.$ac_ext 
    3901 cat >>conftest.$ac_ext <<_ACEOF 
    3902 /* end confdefs.h.  */ 
    3903  
    3904 /* Override any gcc2 internal prototype to avoid an error.  */ 
    3905 #ifdef __cplusplus 
    3906 extern "C" 
    3907 #endif 
    3908 /* We use char because int might match the return type of a gcc2 
    3909    builtin and then its argument prototype would still apply.  */ 
    3910 char XShmAttach (); 
    3911 int 
    3912 main () 
    3913 { 
    3914 XShmAttach (); 
    3915   ; 
    3916   return 0; 
    3917 } 
    3918 _ACEOF 
    3919 rm -f conftest.$ac_objext conftest$ac_exeext 
    3920 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    3921   (eval $ac_link) 2>conftest.er1 
    3922   ac_status=$? 
    3923   grep -v '^ *+' conftest.er1 >conftest.err 
    3924   rm -f conftest.er1 
    3925   cat conftest.err >&5 
    3926   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3927   (exit $ac_status); } && 
    3928          { ac_try='test -z "$ac_c_werror_flag" 
    3929                          || test ! -s conftest.err' 
    3930   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    3931   (eval $ac_try) 2>&5 
    3932   ac_status=$? 
    3933   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3934   (exit $ac_status); }; } && 
    3935          { ac_try='test -s conftest$ac_exeext' 
    3936   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    3937   (eval $ac_try) 2>&5 
    3938   ac_status=$? 
    3939   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    3940   (exit $ac_status); }; }; then 
    3941   ac_cv_lib_Xext_XShmAttach=yes 
    3942 else 
    3943   echo "$as_me: failed program was:" >&5 
    3944 sed 's/^/| /' conftest.$ac_ext >&5 
    3945  
    3946 ac_cv_lib_Xext_XShmAttach=no 
    3947 fi 
    3948 rm -f conftest.err conftest.$ac_objext \ 
    3949       conftest$ac_exeext conftest.$ac_ext 
    3950 LIBS=$ac_check_lib_save_LIBS 
    3951 fi 
    3952 echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_XShmAttach" >&5 
    3953 echo "${ECHO_T}$ac_cv_lib_Xext_XShmAttach" >&6 
    3954 if test $ac_cv_lib_Xext_XShmAttach = yes; then 
    3955   V_Xext="-lXext" 
    3956 else 
    3957   V_Xext=NONE 
    3958 fi 
    3959  
    3960         else 
    3961                 echo "checking for libXext.a" 
    3962                 if test -f $x_libraries/libXext.a ; then 
    3963                         V_Xext="-lXext" 
    3964                 else 
    3965                         echo "warning: compiling without -lXext" 
    3966                 fi 
    3967         fi 
    3968         if test "$V_Xext" = NONE ; then 
    3969                 echo "warning: compiling without -lXext" 
    3970         else 
    3971                 V_LIB_X11="$V_Xext $V_LIB_X11" 
    3972         fi 
    3973 fi 
    3974  
    3975 if test -n "$x_libraries" ; then 
    3976         V_LIB_X11="-L$x_libraries $V_LIB_X11" 
    3977         if test $solaris ; then 
    3978                 V_LIB_X11="-R$x_libraries $V_LIB_X11" 
    3979         fi 
    3980 fi 
    3981  
    3982  
    3983 fi 
    3984  
    3985  
    3986 # Check whether --with-ucltcl or --without-ucltcl was given. 
    3987 if test "${with_ucltcl+set}" = set; then 
    3988   withval="$with_ucltcl" 
    3989   ucltcl=$withval 
    3990 else 
    3991   ucltcl="" 
    3992 fi; 
    3993  
     3711 
     3712    # 
     3713    # Ok, lets find the tcl configuration 
     3714    # First, look for one uninstalled. 
     3715    # the alternative search directory is invoked by --with-tcl 
     3716    # 
     3717 
     3718    if test x"${no_tcl}" = x ; then 
     3719        # we reset no_tcl in case something fails here 
     3720        no_tcl=true 
    39943721 
    39953722# Check whether --with-tcl or --without-tcl was given. 
    39963723if test "${with_tcl+set}" = set; then 
    39973724  withval="$with_tcl" 
    3998   d=$withval 
    3999 else 
    4000   d="" 
     3725  with_tclconfig=${withval} 
    40013726fi; 
    4002  
    4003 if test "$aquatcl" == yes; then 
    4004         echo "Using AquaTCL" 
    4005         V_LIB_TCL="-framework Tcl" 
    4006         V_DEFINE="$V_DEFINE -DMAC_OSX_TCL" 
    4007         V_LIBRARY_TCL=/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts 
    4008         V_INCLUDE_TCL="-I/Library/Frameworks/Tcl.framework/Headers -I/Library/Frameworks/Tcl.framework/PrivateHeaders" 
    4009  
    4010 elif test "$ucltcl" == yes; then 
    4011         if test -z "$tcl"; then 
    4012                 # UCL defaults 
    4013                 ucltcl=../tcl-8.0 
     3727        echo "$as_me:$LINENO: checking for Tcl configuration" >&5 
     3728echo $ECHO_N "checking for Tcl configuration... $ECHO_C" >&6 
     3729        if test "${ac_cv_c_tclconfig+set}" = set; then 
     3730  echo $ECHO_N "(cached) $ECHO_C" >&6 
     3731else 
     3732 
     3733 
     3734            # First check to see if --with-tcl was specified. 
     3735            if test x"${with_tclconfig}" != x ; then 
     3736                case ${with_tclconfig} in 
     3737                    */tclConfig.sh ) 
     3738                        if test -f ${with_tclconfig}; then 
     3739                            { echo "$as_me:$LINENO: WARNING: --with-tcl argument should refer to directory containing tclConfig.sh, not to tclConfig.sh itself" >&5 
     3740echo "$as_me: WARNING: --with-tcl argument should refer to directory containing tclConfig.sh, not to tclConfig.sh itself" >&2;} 
     3741                            with_tclconfig=`echo ${with_tclconfig} | sed 's!/tclConfig\.sh$!!'` 
     3742                        fi ;; 
     3743                esac 
     3744                if test -f "${with_tclconfig}/tclConfig.sh" ; then 
     3745                    ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)` 
     3746                else 
     3747                    { { echo "$as_me:$LINENO: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5 
     3748echo "$as_me: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&2;} 
     3749   { (exit 1); exit 1; }; } 
     3750                fi 
     3751            fi 
     3752 
     3753            # then check for a private Tcl installation 
     3754            if test x"${ac_cv_c_tclconfig}" = x ; then 
     3755                for i in \ 
     3756                        ../tcl \ 
     3757                        `ls -dr ../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3758                        `ls -dr ../tcl[8-9].[0-9] 2>/dev/null` \ 
     3759                        `ls -dr ../tcl[8-9].[0-9]* 2>/dev/null` \ 
     3760                        ../../tcl \ 
     3761                        `ls -dr ../../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3762                        `ls -dr ../../tcl[8-9].[0-9] 2>/dev/null` \ 
     3763                        `ls -dr ../../tcl[8-9].[0-9]* 2>/dev/null` \ 
     3764                        ../../../tcl \ 
     3765                        `ls -dr ../../../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3766                        `ls -dr ../../../tcl[8-9].[0-9] 2>/dev/null` \ 
     3767                        `ls -dr ../../../tcl[8-9].[0-9]* 2>/dev/null` ; do 
     3768                    if test -f "$i/unix/tclConfig.sh" ; then 
     3769                        ac_cv_c_tclconfig=`(cd $i/unix; pwd)` 
     3770                        break 
     3771                    fi 
     3772                done 
     3773            fi 
     3774 
     3775            # on Darwin, check in Framework installation locations 
     3776            if test "`uname -s`" = "Darwin" -a x"${ac_cv_c_tclconfig}" = x ; then 
     3777                for i in `ls -d ~/Library/Frameworks 2>/dev/null` \ 
     3778                        `ls -d /Library/Frameworks 2>/dev/null` \ 
     3779                        `ls -d /Network/Library/Frameworks 2>/dev/null` \ 
     3780                        `ls -d /System/Library/Frameworks 2>/dev/null` \ 
     3781                        ; do 
     3782                    if test -f "$i/Tcl.framework/tclConfig.sh" ; then 
     3783                        ac_cv_c_tclconfig=`(cd $i/Tcl.framework; pwd)` 
     3784                        break 
     3785                    fi 
     3786                done 
     3787            fi 
     3788 
     3789            # check in a few common install locations 
     3790            if test x"${ac_cv_c_tclconfig}" = x ; then 
     3791                for i in `ls -d ${libdir} 2>/dev/null` \ 
     3792                        `ls -d ${exec_prefix}/lib 2>/dev/null` \ 
     3793                        `ls -d ${prefix}/lib 2>/dev/null` \ 
     3794                        `ls -d /usr/local/lib 2>/dev/null` \ 
     3795                        `ls -d /usr/contrib/lib 2>/dev/null` \ 
     3796                        `ls -d /usr/lib 2>/dev/null` \ 
     3797                        ; do 
     3798                    if test -f "$i/tclConfig.sh" ; then 
     3799                        ac_cv_c_tclconfig=`(cd $i; pwd)` 
     3800                        break 
     3801                    fi 
     3802                done 
     3803            fi 
     3804 
     3805            # check in a few other private locations 
     3806            if test x"${ac_cv_c_tclconfig}" = x ; then 
     3807                for i in \ 
     3808                        ${srcdir}/../tcl \ 
     3809                        `ls -dr ${srcdir}/../tcl[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3810                        `ls -dr ${srcdir}/../tcl[8-9].[0-9] 2>/dev/null` \ 
     3811                        `ls -dr ${srcdir}/../tcl[8-9].[0-9]* 2>/dev/null` ; do 
     3812                    if test -f "$i/unix/tclConfig.sh" ; then 
     3813                    ac_cv_c_tclconfig=`(cd $i/unix; pwd)` 
     3814                    break 
     3815                fi 
     3816                done 
     3817            fi 
     3818 
     3819fi 
     3820 
     3821 
     3822        if test x"${ac_cv_c_tclconfig}" = x ; then 
     3823            TCL_BIN_DIR="# no Tcl configs found" 
     3824            { echo "$as_me:$LINENO: WARNING: Can't find Tcl configuration definitions" >&5 
     3825echo "$as_me: WARNING: Can't find Tcl configuration definitions" >&2;} 
     3826            exit 0 
     3827        else 
     3828            no_tcl= 
     3829            TCL_BIN_DIR=${ac_cv_c_tclconfig} 
     3830            echo "$as_me:$LINENO: result: found ${TCL_BIN_DIR}/tclConfig.sh" >&5 
     3831echo "${ECHO_T}found ${TCL_BIN_DIR}/tclConfig.sh" >&6 
    40143832        fi 
    4015         if test ! -d "$ucltcl" ; then 
    4016                 echo "UCL tcl path: '$ucltcl' is not a directory" 
    4017                 exit 1 
    4018         fi 
    4019         V_INCLUDE_TCL="-I$ucltcl/generic" 
    4020         case "$target" in 
    4021           *-*-freebsd*) 
    4022                 V_LIB_TCL="$ucltcl/unix/libtcl80.a" 
    4023                 ;; 
    4024           *) 
    4025                 V_LIB_TCL="$ucltcl/unix/libtcl8.0.a" 
     3833    fi 
     3834 
     3835 
     3836    echo "$as_me:$LINENO: checking for existence of ${TCL_BIN_DIR}/tclConfig.sh" >&5 
     3837echo $ECHO_N "checking for existence of ${TCL_BIN_DIR}/tclConfig.sh... $ECHO_C" >&6 
     3838 
     3839    if test -f "${TCL_BIN_DIR}/tclConfig.sh" ; then 
     3840        echo "$as_me:$LINENO: result: loading" >&5 
     3841echo "${ECHO_T}loading" >&6 
     3842        . "${TCL_BIN_DIR}/tclConfig.sh" 
     3843    else 
     3844        echo "$as_me:$LINENO: result: could not find ${TCL_BIN_DIR}/tclConfig.sh" >&5 
     3845echo "${ECHO_T}could not find ${TCL_BIN_DIR}/tclConfig.sh" >&6 
     3846    fi 
     3847 
     3848    # eval is required to do the TCL_DBGX substitution 
     3849    eval "TCL_LIB_FILE=\"${TCL_LIB_FILE}\"" 
     3850    eval "TCL_STUB_LIB_FILE=\"${TCL_STUB_LIB_FILE}\"" 
     3851 
     3852    # If the TCL_BIN_DIR is the build directory (not the install directory), 
     3853    # then set the common variable name to the value of the build variables. 
     3854    # For example, the variable TCL_LIB_SPEC will be set to the value 
     3855    # of TCL_BUILD_LIB_SPEC. An extension should make use of TCL_LIB_SPEC 
     3856    # instead of TCL_BUILD_LIB_SPEC since it will work with both an 
     3857    # installed and uninstalled version of Tcl. 
     3858    if test -f "${TCL_BIN_DIR}/Makefile" ; then 
     3859        TCL_LIB_SPEC=${TCL_BUILD_LIB_SPEC} 
     3860        TCL_STUB_LIB_SPEC=${TCL_BUILD_STUB_LIB_SPEC} 
     3861        TCL_STUB_LIB_PATH=${TCL_BUILD_STUB_LIB_PATH} 
     3862    elif test "`uname -s`" = "Darwin"; then 
     3863        # If Tcl was built as a framework, attempt to use the libraries 
     3864        # from the framework at the given location so that linking works 
     3865        # against Tcl.framework installed in an arbitary location. 
     3866        case ${TCL_DEFS} in 
     3867            *TCL_FRAMEWORK*) 
     3868                if test -f "${TCL_BIN_DIR}/${TCL_LIB_FILE}"; then 
     3869                    for i in "`cd ${TCL_BIN_DIR}; pwd`" \ 
     3870                             "`cd ${TCL_BIN_DIR}/../..; pwd`"; do 
     3871                        if test "`basename "$i"`" = "${TCL_LIB_FILE}.framework"; then 
     3872                            TCL_LIB_SPEC="-F`dirname "$i"` -framework ${TCL_LIB_FILE}" 
     3873                            break 
     3874                        fi 
     3875                    done 
     3876                fi 
     3877                if test -f "${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}"; then 
     3878                    TCL_STUB_LIB_SPEC="-L${TCL_BIN_DIR} ${TCL_STUB_LIB_FLAG}" 
     3879                    TCL_STUB_LIB_PATH="${TCL_BIN_DIR}/${TCL_STUB_LIB_FILE}" 
     3880                fi 
    40263881                ;; 
    40273882        esac 
    4028  
    4029         V_LIBRARY_TCL=$ucltcl/library 
    4030         echo "Using UCL's tcl-8.0: $ucltcl" 
    4031  
    4032 elif test "$d" != "" ; then 
    4033         echo "Not using UCL tcl - You're on your own!" 
    4034         if test ! -d $d ; then 
    4035                 echo "'$d' is not a directory" 
    4036                 exit 1 
    4037         fi 
    4038         V_INCLUDE_TCL=-I$d/include 
    4039         if test ! -r $d/include/tcl.h ; then 
    4040                 echo "can't find tcl.h in $d/include" 
    4041                 exit 1 
    4042         fi 
    4043         places="$d/lib64/libtcl8.4.so \ 
    4044                 $d/lib64/libtcl8.4.dylib \ 
    4045                 $d/lib64/libtcl8.4.a \ 
    4046                 $d/lib64/libtcl.so \ 
    4047                 $d/lib64/libtcl.dylib \ 
    4048                 $d/lib64/libtcl.a \ 
    4049                 $d/lib/libtcl8.4.so \ 
    4050                 $d/lib/libtcl8.4.dylib \ 
    4051                 $d/lib/libtcl8.4.a \ 
    4052                 $d/lib/libtcl.so \ 
    4053                 $d/lib/libtcl.dylib \ 
    4054                 $d/lib/libtcl.a" 
    4055         V_LIB_TCL=FAIL 
    4056         for dir in $places; do 
    4057                 if test -r $dir ; then 
    4058                         V_LIB_TCL=$dir 
    4059                         break 
    4060                 fi 
    4061         done 
    4062         if test $V_LIB_TCL = FAIL ; then 
    4063                 echo "can't find libtcl.a in $d/lib" 
    4064                 exit 1 
    4065         fi 
    4066         places="$d/lib64/tcl-8.4 \ 
    4067                 $d/lib64/tcl8.4 \ 
    4068                 $d/lib64/tcl \ 
    4069                 $d/lib/tcl-8.4 \ 
    4070                 $d/lib/tcl8.4 \ 
    4071                 $d/lib/tcl" 
    4072         V_LIBRARY_TCL=FAIL 
    4073         for dir in $places; do 
    4074                 if test -r $dir/init.tcl ; then 
    4075                         V_LIBRARY_TCL=$dir 
    4076                         break 
    4077                 fi 
    4078         done 
    4079         if test $V_LIBRARY_TCL = FAIL ; then 
    4080                 echo "can't find init.tcl in $d/lib/tcl" 
    4081                 exit 1 
    4082         fi 
    4083 else 
    4084         echo "Not using UCL tcl - You're on your own!" 
    4085         cat >conftest.$ac_ext <<_ACEOF 
    4086 /* confdefs.h.  */ 
    4087 _ACEOF 
    4088 cat confdefs.h >>conftest.$ac_ext 
    4089 cat >>conftest.$ac_ext <<_ACEOF 
    4090 /* end confdefs.h.  */ 
    4091 #include <tcl.h> 
    4092 _ACEOF 
    4093 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    4094   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    4095   ac_status=$? 
    4096   grep -v '^ *+' conftest.er1 >conftest.err 
    4097   rm -f conftest.er1 
    4098   cat conftest.err >&5 
    4099   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4100   (exit $ac_status); } >/dev/null; then 
    4101   if test -s conftest.err; then 
    4102     ac_cpp_err=$ac_c_preproc_warn_flag 
    4103     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    4104   else 
    4105     ac_cpp_err= 
    4106   fi 
    4107 else 
    4108   ac_cpp_err=yes 
    4109 fi 
    4110 if test -z "$ac_cpp_err"; then 
    4111   V_INCLUDE_TCL="" 
    4112 else 
    4113   echo "$as_me: failed program was:" >&5 
    4114 sed 's/^/| /' conftest.$ac_ext >&5 
    4115  
    4116   V_INCLUDE_TCL=FAIL 
    4117 fi 
    4118 rm -f conftest.err conftest.$ac_ext 
    4119         if test "$V_INCLUDE_TCL" = FAIL; then 
    4120                 echo "checking for tcl.h" 
    4121                 places="$PWD/../tcl-8.4 \ 
    4122                         $PWD/../tcl8.4 \ 
    4123                         $PWD/../tcl \ 
    4124                         /usr/local/include/tcl8.4 \ 
    4125                         /usr/src/local/tcl8.4 \ 
    4126                         /usr/include/tcl8.4 \ 
    4127                         /import/tcl/include/tcl8.4 \ 
    4128                         $prefix/include \ 
    4129                         $x_includes/tk \ 
    4130                         $x_includes \ 
    4131                         /usr/local/include \ 
    4132                         /usr/contrib/include \ 
    4133                         /usr/include" 
    4134                 for dir in $places; do 
    4135                         if test -r $dir/tcl.h ; then 
    4136                                 V_INCLUDE_TCL=-I$dir 
    4137                                 break 
    4138                         fi 
    4139                 done 
    4140                 if test "$V_INCLUDE_TCL" = FAIL; then 
    4141                         echo "can't find tcl.h" 
    4142                         exit 1 
    4143                 fi 
    4144         fi 
    4145         echo "$as_me:$LINENO: checking for main in -ltcl8.4" >&5 
    4146 echo $ECHO_N "checking for main in -ltcl8.4... $ECHO_C" >&6 
    4147 if test "${ac_cv_lib_tcl8_4_main+set}" = set; then 
    4148   echo $ECHO_N "(cached) $ECHO_C" >&6 
    4149 else 
    4150   ac_check_lib_save_LIBS=$LIBS 
    4151 LIBS="-ltcl8.4  $LIBS" 
    4152 cat >conftest.$ac_ext <<_ACEOF 
    4153 /* confdefs.h.  */ 
    4154 _ACEOF 
    4155 cat confdefs.h >>conftest.$ac_ext 
    4156 cat >>conftest.$ac_ext <<_ACEOF 
    4157 /* end confdefs.h.  */ 
    4158  
    4159  
    4160 int 
    4161 main () 
    4162 { 
    4163 main (); 
    4164   ; 
    4165   return 0; 
    4166 } 
    4167 _ACEOF 
    4168 rm -f conftest.$ac_objext conftest$ac_exeext 
    4169 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    4170   (eval $ac_link) 2>conftest.er1 
    4171   ac_status=$? 
    4172   grep -v '^ *+' conftest.er1 >conftest.err 
    4173   rm -f conftest.er1 
    4174   cat conftest.err >&5 
    4175   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4176   (exit $ac_status); } && 
    4177          { ac_try='test -z "$ac_c_werror_flag" 
    4178                          || test ! -s conftest.err' 
    4179   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4180   (eval $ac_try) 2>&5 
    4181   ac_status=$? 
    4182   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4183   (exit $ac_status); }; } && 
    4184          { ac_try='test -s conftest$ac_exeext' 
    4185   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4186   (eval $ac_try) 2>&5 
    4187   ac_status=$? 
    4188   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4189   (exit $ac_status); }; }; then 
    4190   ac_cv_lib_tcl8_4_main=yes 
    4191 else 
    4192   echo "$as_me: failed program was:" >&5 
    4193 sed 's/^/| /' conftest.$ac_ext >&5 
    4194  
    4195 ac_cv_lib_tcl8_4_main=no 
    4196 fi 
    4197 rm -f conftest.err conftest.$ac_objext \ 
    4198       conftest$ac_exeext conftest.$ac_ext 
    4199 LIBS=$ac_check_lib_save_LIBS 
    4200 fi 
    4201 echo "$as_me:$LINENO: result: $ac_cv_lib_tcl8_4_main" >&5 
    4202 echo "${ECHO_T}$ac_cv_lib_tcl8_4_main" >&6 
    4203 if test $ac_cv_lib_tcl8_4_main = yes; then 
    4204   V_LIB_TCL="-ltcl8.4" 
    4205 else 
    4206   V_LIB_TCL="FAIL" 
    4207 fi 
    4208  
    4209         if test "$V_LIB_TCL" = FAIL; then 
    4210                 echo "checking for libtcl.a" 
    4211                 places="$PWD/../tcl-8.4/unix \ 
    4212                         $PWD/../tcl8.4/unix \ 
    4213                         $PWD/../tcl/unix \ 
    4214                         /usr/local/lib \ 
    4215                         $prefix/lib \ 
    4216                         $x_libraries \ 
    4217                         /usr/contrib/lib \ 
    4218                         /usr/local/lib \ 
    4219                         /usr/lib \ 
    4220                         $PWD/../tcl8.4 \ 
    4221                         /usr/src/local/tcl8.4 \ 
    4222                         /import/tcl/lib/tcl8.4" 
    4223                 for dir in $places; do 
    4224                         if test -r $dir/libtcl8.4.so -o -r $dir/libtcl8.4.dylib -o -r $dir/libtcl8.4.a; then 
    4225                                 V_LIB_TCL="-L$dir -ltcl8.4" 
    4226                                 break 
    4227                         fi 
    4228                         if test -r $dir/libtcl.so -o -r $dir/libtcl.dylib -o -r $dir/libtcl.a; then 
    4229                                 V_LIB_TCL="-L$dir -ltcl" 
    4230                                 break 
    4231                         fi 
    4232                 done 
    4233                 if test "$V_LIB_TCL" = FAIL; then 
    4234                         echo "can't find libtcl.a" 
    4235                         exit 1 
    4236                 else 
    4237                         if test $solaris ; then 
    4238                                 V_LIB_TCL="-R$dir $V_LIB_TCL" 
    4239                         fi 
    4240                 fi 
    4241         fi 
    4242         echo "checking for tcl/init.tcl" 
    4243         V_LIBRARY_TCL=FAIL 
    4244         places="$PWD/../tcl-8.4/library \ 
    4245                 $PWD/../tcl8.4/library \ 
    4246                 $PWD/../tcl/library \ 
    4247                 /System/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts \ 
    4248                 /usr/local/lib/tcl8.4 \ 
    4249                 /usr/contrib/lib/tcl8.4 \ 
    4250                 /usr/lib/tcl8.4 \ 
    4251                 /usr/lib/tk/tcl8.4 \ 
    4252                 /import/tcl/lib/tcl8.4 \ 
    4253                 $prefix/lib/tcl8.4 \ 
    4254                 $x_libraries/tcl8.4 \ 
    4255                 /usr/local/lib/tcl \ 
    4256                 /usr/lib/tcl \ 
    4257                 $x_libraries/tcl" 
    4258         for dir in $places; do 
    4259                 if test -r $dir/init.tcl; then 
    4260                         V_LIBRARY_TCL=$dir 
    4261                         break 
    4262                 fi 
    4263         done 
    4264         if test "$V_LIBRARY_TCL" = FAIL; then 
    4265                 echo "can't find tcl/init.tcl" 
    4266                 exit 1 
    4267         fi 
    4268 fi 
    4269  
    4270  
    4271  
    4272  
    4273  
    4274 # Check whether --with-ucltk or --without-ucltk was given. 
    4275 if test "${with_ucltk+set}" = set; then 
    4276   withval="$with_ucltk" 
    4277   ucltk=$withval 
    4278 else 
    4279   ucltk="" 
    4280 fi; 
    4281  
     3883    fi 
     3884 
     3885    # eval is required to do the TCL_DBGX substitution 
     3886    eval "TCL_LIB_FLAG=\"${TCL_LIB_FLAG}\"" 
     3887    eval "TCL_LIB_SPEC=\"${TCL_LIB_SPEC}\"" 
     3888    eval "TCL_STUB_LIB_FLAG=\"${TCL_STUB_LIB_FLAG}\"" 
     3889    eval "TCL_STUB_LIB_SPEC=\"${TCL_STUB_LIB_SPEC}\"" 
     3890 
     3891 
     3892 
     3893 
     3894 
     3895 
     3896 
     3897 
     3898 
     3899 
     3900 
     3901 
     3902 
     3903 
     3904 
     3905echo "$as_me:$LINENO: checking for a compatible version of Tcl" >&5 
     3906echo $ECHO_N "checking for a compatible version of Tcl... $ECHO_C" >&6 
     3907if test "${TCL_MAJOR_VERSION}" -gt 8  \ 
     3908  -o \( "${TCL_MAJOR_VERSION}" -eq 8 -a "${TCL_MINOR_VERSION}" -ge 4 \); then 
     3909    echo "$as_me:$LINENO: result: Tcl ${TCL_VERSION}${TCL_PATCH_LEVEL}" >&5 
     3910echo "${ECHO_T}Tcl ${TCL_VERSION}${TCL_PATCH_LEVEL}" >&6 
     3911 
     3912    if test "$aquatcl" = yes; then 
     3913        echo "Using AquaTCL" 
     3914        V_DEFINE="$V_DEFINE -DMAC_OSX_TCL" 
     3915    fi 
     3916 
     3917elif test "${TCL_VERSION}" == "8.0" ; then 
     3918    if test -f "${TCL_SRC_DIR}/generic/tcl2c.c" ; then 
     3919        echo "$as_me:$LINENO: result: UCL Tcl ${TCL_VERSION}${TCL_PATCH_LEVEL}" >&5 
     3920echo "${ECHO_T}UCL Tcl ${TCL_VERSION}${TCL_PATCH_LEVEL}" >&6 
     3921    else 
     3922        { { echo "$as_me:$LINENO: error: Found Tcl 8.0 which is not UCL Tcl 8.0" >&5 
     3923echo "$as_me: error: Found Tcl 8.0 which is not UCL Tcl 8.0" >&2;} 
     3924   { (exit 1); exit 1; }; } 
     3925    fi 
     3926 
     3927else 
     3928    { { echo "$as_me:$LINENO: error: Tcl $TCL_VERSION, compatible Tcl for VIC not found 
     3929Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl." >&5 
     3930echo "$as_me: error: Tcl $TCL_VERSION, compatible Tcl for VIC not found 
     3931Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl." >&2;} 
     3932   { (exit 1); exit 1; }; } 
     3933fi 
     3934 
     3935 
     3936    # 
     3937    # Ok, lets find the tk configuration 
     3938    # First, look for one uninstalled. 
     3939    # the alternative search directory is invoked by --with-tk 
     3940    # 
     3941 
     3942    if test x"${no_tk}" = x ; then 
     3943        # we reset no_tk in case something fails here 
     3944        no_tk=true 
    42823945 
    42833946# Check whether --with-tk or --without-tk was given. 
    42843947if test "${with_tk+set}" = set; then 
    42853948  withval="$with_tk" 
    4286   d=$withval 
    4287 else 
    4288   d="" 
     3949  with_tkconfig=${withval} 
    42893950fi; 
    4290  
    4291 if test "$aquatk" == yes; then 
    4292         echo "Using AquaTk" 
    4293         V_LIB_TK="-framework Tk" 
    4294         V_DEFINE="$V_DEFINE -DMAC_OSX_TK" 
    4295         V_LIBRARY_TK=/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts 
    4296         V_INCLUDE_TK="-I/Library/Frameworks/Tk.framework/Headers -I/Library/Frameworks/Tk.framework/PrivateHeaders" 
    4297  
    4298 elif test "$ucltk" == yes; then 
    4299         if test -z "$tk"; then 
    4300                 # UCL defaults 
    4301                 ucltk=../tk-8.0 
     3951        echo "$as_me:$LINENO: checking for Tk configuration" >&5 
     3952echo $ECHO_N "checking for Tk configuration... $ECHO_C" >&6 
     3953        if test "${ac_cv_c_tkconfig+set}" = set; then 
     3954  echo $ECHO_N "(cached) $ECHO_C" >&6 
     3955else 
     3956 
     3957 
     3958            # First check to see if --with-tkconfig was specified. 
     3959            if test x"${with_tkconfig}" != x ; then 
     3960                case ${with_tkconfig} in 
     3961                    */tkConfig.sh ) 
     3962                        if test -f ${with_tkconfig}; then 
     3963                            { echo "$as_me:$LINENO: WARNING: --with-tk argument should refer to directory containing tkConfig.sh, not to tkConfig.sh itself" >&5 
     3964echo "$as_me: WARNING: --with-tk argument should refer to directory containing tkConfig.sh, not to tkConfig.sh itself" >&2;} 
     3965                            with_tkconfig=`echo ${with_tkconfig} | sed 's!/tkConfig\.sh$!!'` 
     3966                        fi ;; 
     3967                esac 
     3968                if test -f "${with_tkconfig}/tkConfig.sh" ; then 
     3969                    ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)` 
     3970                else 
     3971                    { { echo "$as_me:$LINENO: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&5 
     3972echo "$as_me: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&2;} 
     3973   { (exit 1); exit 1; }; } 
     3974                fi 
     3975            fi 
     3976 
     3977            # then check for a private Tk library 
     3978            if test x"${ac_cv_c_tkconfig}" = x ; then 
     3979                for i in \ 
     3980                        ../tk \ 
     3981                        `ls -dr ../tk[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3982                        `ls -dr ../tk[8-9].[0-9] 2>/dev/null` \ 
     3983                        `ls -dr ../tk[8-9].[0-9]* 2>/dev/null` \ 
     3984                        ../../tk \ 
     3985                        `ls -dr ../../tk[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3986                        `ls -dr ../../tk[8-9].[0-9] 2>/dev/null` \ 
     3987                        `ls -dr ../../tk[8-9].[0-9]* 2>/dev/null` \ 
     3988                        ../../../tk \ 
     3989                        `ls -dr ../../../tk[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     3990                        `ls -dr ../../../tk[8-9].[0-9] 2>/dev/null` \ 
     3991                        `ls -dr ../../../tk[8-9].[0-9]* 2>/dev/null` ; do 
     3992                    if test -f "$i/unix/tkConfig.sh" ; then 
     3993                        ac_cv_c_tkconfig=`(cd $i/unix; pwd)` 
     3994                        break 
     3995                    fi 
     3996                done 
     3997            fi 
     3998 
     3999            # on Darwin, check in Framework installation locations 
     4000            if test "`uname -s`" = "Darwin" -a x"${ac_cv_c_tkconfig}" = x ; then 
     4001                for i in `ls -d ~/Library/Frameworks 2>/dev/null` \ 
     4002                        `ls -d /Library/Frameworks 2>/dev/null` \ 
     4003                        `ls -d /Network/Library/Frameworks 2>/dev/null` \ 
     4004                        `ls -d /System/Library/Frameworks 2>/dev/null` \ 
     4005                        ; do 
     4006                    if test -f "$i/Tk.framework/tkConfig.sh" ; then 
     4007                        ac_cv_c_tkconfig=`(cd $i/Tk.framework; pwd)` 
     4008                        break 
     4009                    fi 
     4010                done 
     4011            fi 
     4012 
     4013            # check in a few common install locations 
     4014            if test x"${ac_cv_c_tkconfig}" = x ; then 
     4015                for i in `ls -d ${libdir} 2>/dev/null` \ 
     4016                        `ls -d ${exec_prefix}/lib 2>/dev/null` \ 
     4017                        `ls -d ${prefix}/lib 2>/dev/null` \ 
     4018                        `ls -d /usr/local/lib 2>/dev/null` \ 
     4019                        `ls -d /usr/contrib/lib 2>/dev/null` \ 
     4020                        `ls -d /usr/lib 2>/dev/null` \ 
     4021                        ; do 
     4022                    if test -f "$i/tkConfig.sh" ; then 
     4023                        ac_cv_c_tkconfig=`(cd $i; pwd)` 
     4024                        break 
     4025                    fi 
     4026                done 
     4027            fi 
     4028 
     4029            # check in a few other private locations 
     4030            if test x"${ac_cv_c_tkconfig}" = x ; then 
     4031                for i in \ 
     4032                        ${srcdir}/../tk \ 
     4033                        `ls -dr ${srcdir}/../tk[8-9].[0-9].[0-9]* 2>/dev/null` \ 
     4034                        `ls -dr ${srcdir}/../tk[8-9].[0-9] 2>/dev/null` \ 
     4035                        `ls -dr ${srcdir}/../tk[8-9].[0-9]* 2>/dev/null` ; do 
     4036                    if test -f "$i/unix/tkConfig.sh" ; then 
     4037                        ac_cv_c_tkconfig=`(cd $i/unix; pwd)` 
     4038                        break 
     4039                    fi 
     4040                done 
     4041            fi 
     4042 
     4043fi 
     4044 
     4045 
     4046        if test x"${ac_cv_c_tkconfig}" = x ; then 
     4047            TK_BIN_DIR="# no Tk configs found" 
     4048            { echo "$as_me:$LINENO: WARNING: Can't find Tk configuration definitions" >&5 
     4049echo "$as_me: WARNING: Can't find Tk configuration definitions" >&2;} 
     4050            exit 0 
     4051        else 
     4052            no_tk= 
     4053            TK_BIN_DIR=${ac_cv_c_tkconfig} 
     4054            echo "$as_me:$LINENO: result: found ${TK_BIN_DIR}/tkConfig.sh" >&5 
     4055echo "${ECHO_T}found ${TK_BIN_DIR}/tkConfig.sh" >&6 
    43024056        fi 
    4303         if test ! -d "$ucltk" ; then 
    4304                 echo "UCL TK dir: '$ucltk' is not a directory" 
    4305                 exit 1 
    4306         fi 
    4307         V_INCLUDE_TK="-I$ucltk/generic" 
    4308  
    4309         case "$target" in 
    4310           *-*-freebsd*) 
    4311                 V_LIB_TK="$ucltk/unix/libtk80.a" 
    4312                 ;; 
    4313           *) 
    4314                 V_LIB_TK="$ucltk/unix/libtk8.0.a" 
     4057    fi 
     4058 
     4059 
     4060    echo "$as_me:$LINENO: checking for existence of ${TK_BIN_DIR}/tkConfig.sh" >&5 
     4061echo $ECHO_N "checking for existence of ${TK_BIN_DIR}/tkConfig.sh... $ECHO_C" >&6 
     4062 
     4063    if test -f "${TK_BIN_DIR}/tkConfig.sh" ; then 
     4064        echo "$as_me:$LINENO: result: loading" >&5 
     4065echo "${ECHO_T}loading" >&6 
     4066        . "${TK_BIN_DIR}/tkConfig.sh" 
     4067    else 
     4068        echo "$as_me:$LINENO: result: could not find ${TK_BIN_DIR}/tkConfig.sh" >&5 
     4069echo "${ECHO_T}could not find ${TK_BIN_DIR}/tkConfig.sh" >&6 
     4070    fi 
     4071 
     4072    # eval is required to do the TK_DBGX substitution 
     4073    eval "TK_LIB_FILE=\"${TK_LIB_FILE}\"" 
     4074    eval "TK_STUB_LIB_FILE=\"${TK_STUB_LIB_FILE}\"" 
     4075 
     4076    # If the TK_BIN_DIR is the build directory (not the install directory), 
     4077    # then set the common variable name to the value of the build variables. 
     4078    # For example, the variable TK_LIB_SPEC will be set to the value 
     4079    # of TK_BUILD_LIB_SPEC. An extension should make use of TK_LIB_SPEC 
     4080    # instead of TK_BUILD_LIB_SPEC since it will work with both an 
     4081    # installed and uninstalled version of Tcl. 
     4082    if test -f "${TK_BIN_DIR}/Makefile" ; then 
     4083        TK_LIB_SPEC=${TK_BUILD_LIB_SPEC} 
     4084        TK_STUB_LIB_SPEC=${TK_BUILD_STUB_LIB_SPEC} 
     4085        TK_STUB_LIB_PATH=${TK_BUILD_STUB_LIB_PATH} 
     4086    elif test "`uname -s`" = "Darwin"; then 
     4087        # If Tk was built as a framework, attempt to use the libraries 
     4088        # from the framework at the given location so that linking works 
     4089        # against Tk.framework installed in an arbitary location. 
     4090        case ${TK_DEFS} in 
     4091            *TK_FRAMEWORK*) 
     4092                if test -f "${TK_BIN_DIR}/${TK_LIB_FILE}"; then 
     4093                    for i in "`cd ${TK_BIN_DIR}; pwd`" \ 
     4094                             "`cd ${TK_BIN_DIR}/../..; pwd`"; do 
     4095                        if test "`basename "$i"`" = "${TK_LIB_FILE}.framework"; then 
     4096                            TK_LIB_SPEC="-F`dirname "$i"` -framework ${TK_LIB_FILE}" 
     4097                            break 
     4098                        fi 
     4099                    done 
     4100                fi 
     4101                if test -f "${TK_BIN_DIR}/${TK_STUB_LIB_FILE}"; then 
     4102                    TK_STUB_LIB_SPEC="-L${TK_BIN_DIR} ${TK_STUB_LIB_FLAG}" 
     4103                    TK_STUB_LIB_PATH="${TK_BIN_DIR}/${TK_STUB_LIB_FILE}" 
     4104                fi 
    43154105                ;; 
    43164106        esac 
    4317         V_LIBRARY_TK=$ucltk/library 
    4318         echo "Using UCL's tk-8.0: $ucltk" 
    4319  
    4320 elif test "$d" != "" ; then 
    4321         echo "Not using UCL tk - You're on your own!" 
    4322         if test ! -d $d ; then 
    4323                 echo "'$d' is not a directory" 
    4324                 exit 1 
    4325         fi 
    4326         V_INCLUDE_TK=-I$d/include 
    4327         if test ! -r $d/include/tk.h ; then 
    4328                 echo "can't find tk.h in $d/include" 
    4329                 exit 1 
    4330         fi 
    4331         places="$d/lib64/libtk8.4.so \ 
    4332                 $d/lib64/libtk8.4.a \ 
    4333                 $d/lib64/libtk.so \ 
    4334                 $d/lib64/libtk.a \ 
    4335                 $d/lib/libtk8.4.so \ 
    4336                 $d/lib/libtk8.4.a \ 
    4337                 $d/lib/libtk.so \ 
    4338                 $d/lib/libtk.a" 
    4339         V_LIB_TK=FAIL 
    4340         for dir in $places; do 
    4341                 if test -r $dir ; then 
    4342                         V_LIB_TK=$dir 
    4343                         break 
    4344                 fi 
    4345         done 
    4346         if test $V_LIB_TK = FAIL ; then 
    4347                 echo "can't find libtk.a in $d/lib" 
    4348                 exit 1 
    4349         fi 
    4350         places="$d/lib64/tk8.4 \ 
    4351                 $d/lib64/tk \ 
    4352                 $d/lib/tk8.4 \ 
    4353                 $d/lib/tk" 
    4354         V_LIBRARY_TK=FAIL 
    4355         for dir in $places; do 
    4356                 if test -r $dir/tk.tcl ; then 
    4357                         V_LIBRARY_TK=$dir 
    4358                         break 
    4359                 fi 
    4360         done 
    4361         if test $V_LIBRARY_TK = FAIL ; then 
    4362                 echo "can't find tk.tcl in $d/lib/tk" 
    4363                 exit 1 
    4364         fi 
    4365 else 
    4366         echo "Not using UCL tk - You're on your own!" 
    4367         cat >conftest.$ac_ext <<_ACEOF 
    4368 /* confdefs.h.  */ 
    4369 _ACEOF 
    4370 cat confdefs.h >>conftest.$ac_ext 
    4371 cat >>conftest.$ac_ext <<_ACEOF 
    4372 /* end confdefs.h.  */ 
    4373 #include <tk.h> 
    4374 _ACEOF 
    4375 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 
    4376   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 
    4377   ac_status=$? 
    4378   grep -v '^ *+' conftest.er1 >conftest.err 
    4379   rm -f conftest.er1 
    4380   cat conftest.err >&5 
    4381   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4382   (exit $ac_status); } >/dev/null; then 
    4383   if test -s conftest.err; then 
    4384     ac_cpp_err=$ac_c_preproc_warn_flag 
    4385     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag 
    4386   else 
    4387     ac_cpp_err= 
    4388   fi 
    4389 else 
    4390   ac_cpp_err=yes 
    4391 fi 
    4392 if test -z "$ac_cpp_err"; then 
    4393   V_INCLUDE_TK="" 
    4394 else 
    4395   echo "$as_me: failed program was:" >&5 
    4396 sed 's/^/| /' conftest.$ac_ext >&5 
    4397  
    4398   V_INCLUDE_TK=FAIL 
    4399 fi 
    4400 rm -f conftest.err conftest.$ac_ext 
    4401         if test "$V_INCLUDE_TK" = FAIL; then 
    4402                 echo "checking for tk.h" 
    4403                 V_INCLUDE_TK="" 
    4404                 places="$PWD/../tk8.4/generic \ 
    4405                         $PWD/../tk-8.4/generic \ 
    4406                         $PWD/../tk/generic \ 
    4407                         /usr/local/include \ 
    4408                         $prefix/include \ 
    4409                         /usr/contrib/include \ 
    4410                         /usr/include/tcl \ 
    4411                         /usr/include\ 
    4412                         $x_includes/tk \ 
    4413                         $x_includes \ 
    4414                         $PWD/../tk8.4 \ 
    4415                         /usr/src/local/tk8.4 \ 
    4416                         /usr/include/tcl8.4 \ 
    4417                         /import/tcl/include/tk8.4" 
    4418                 for dir in $places; do 
    4419                         if test -r $dir/tk.h ; then 
    4420                                 V_INCLUDE_TK=-I$dir 
    4421                                 break 
    4422                         fi 
    4423                 done 
    4424                 if test "$V_INCLUDE_TK" = FAIL; then 
    4425                         echo "can't find tk.h" 
    4426                         exit 1 
    4427                 fi 
    4428         fi 
    4429         echo "$as_me:$LINENO: checking for main in -ltk8.4" >&5 
    4430 echo $ECHO_N "checking for main in -ltk8.4... $ECHO_C" >&6 
    4431 if test "${ac_cv_lib_tk8_4_main+set}" = set; then 
    4432   echo $ECHO_N "(cached) $ECHO_C" >&6 
    4433 else 
    4434   ac_check_lib_save_LIBS=$LIBS 
    4435 LIBS="-ltk8.4  $LIBS" 
    4436 cat >conftest.$ac_ext <<_ACEOF 
    4437 /* confdefs.h.  */ 
    4438 _ACEOF 
    4439 cat confdefs.h >>conftest.$ac_ext 
    4440 cat >>conftest.$ac_ext <<_ACEOF 
    4441 /* end confdefs.h.  */ 
    4442  
    4443  
    4444 int 
    4445 main () 
    4446 { 
    4447 main (); 
    4448   ; 
    4449   return 0; 
    4450 } 
    4451 _ACEOF 
    4452 rm -f conftest.$ac_objext conftest$ac_exeext 
    4453 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    4454   (eval $ac_link) 2>conftest.er1 
    4455   ac_status=$? 
    4456   grep -v '^ *+' conftest.er1 >conftest.err 
    4457   rm -f conftest.er1 
    4458   cat conftest.err >&5 
    4459   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4460   (exit $ac_status); } && 
    4461          { ac_try='test -z "$ac_c_werror_flag" 
    4462                          || test ! -s conftest.err' 
    4463   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4464   (eval $ac_try) 2>&5 
    4465   ac_status=$? 
    4466   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4467   (exit $ac_status); }; } && 
    4468          { ac_try='test -s conftest$ac_exeext' 
    4469   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4470   (eval $ac_try) 2>&5 
    4471   ac_status=$? 
    4472   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4473   (exit $ac_status); }; }; then 
    4474   ac_cv_lib_tk8_4_main=yes 
    4475 else 
    4476   echo "$as_me: failed program was:" >&5 
    4477 sed 's/^/| /' conftest.$ac_ext >&5 
    4478  
    4479 ac_cv_lib_tk8_4_main=no 
    4480 fi 
    4481 rm -f conftest.err conftest.$ac_objext \ 
    4482       conftest$ac_exeext conftest.$ac_ext 
    4483 LIBS=$ac_check_lib_save_LIBS 
    4484 fi 
    4485 echo "$as_me:$LINENO: result: $ac_cv_lib_tk8_4_main" >&5 
    4486 echo "${ECHO_T}$ac_cv_lib_tk8_4_main" >&6 
    4487 if test $ac_cv_lib_tk8_4_main = yes; then 
    4488   V_LIB_TK="-ltk8.4" 
    4489 else 
    4490   V_LIB_TK="FAIL" 
    4491 fi 
    4492  
    4493         if test "$V_LIB_TK" = FAIL; then 
    4494                 echo "checking for libtk8.4.a" 
    4495                 places="$PWD/../tk-8.4/unix \ 
    4496                         $PWD/../tk8.4/unix \ 
    4497                         $PWD/../tk/unix \ 
    4498                         /usr/local/lib \ 
    4499                         /usr/contrib/lib \ 
    4500                         /usr/lib \ 
    4501                         /usr/lib/tk \ 
    4502                         /import/tcl/lib \ 
    4503                         $PWD/../tk8.4 \ 
    4504                         /usr/src/local/tk8.4 \ 
    4505                         $prefix/lib \ 
    4506                         $x_libraries" 
    4507                 for dir in $places; do 
    4508                         if test -r $dir/libtk8.4.so -o -r $dir/libtk.dylib -o -r $dir/libtk8.4.a; then 
    4509                                 V_LIB_TK="-L$dir -ltk8.4" 
    4510                                 break 
    4511                         fi 
    4512                         if test -r $dir/libtk.so -o -r $dir/libtk.a; then 
    4513                                 V_LIB_TK="-L$dir -ltk" 
    4514                                 break 
    4515                         fi 
    4516                 done 
    4517                 if test "$V_LIB_TK" = FAIL; then 
    4518                         echo "can't find libtk.a" 
    4519                         exit 1 
    4520                 else 
    4521                         if test $solaris ; then 
    4522                                 V_LIB_TK="-R$dir $V_LIB_TK" 
    4523                         fi 
    4524                 fi 
    4525         fi 
    4526         echo "checking for tk/tk.tcl" 
    4527         V_LIBRARY_TK=FAIL 
    4528         places="$PWD/../tk-8.4/library \ 
    4529                 $PWD/../tk8.4/library \ 
    4530                 $PWD/../tk/library \ 
    4531                 /usr/local/lib/tk8.4 \ 
    4532                 /System/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts \ 
    4533                 /usr/contrib/lib/tk8.4 \ 
    4534                 /usr/lib/tk8.4 \ 
    4535                 /usr/share/tk8.4 \ 
    4536                 /usr/lib/tk/tk8.4 \ 
    4537                 /import/tcl/lib/tk8.4 \ 
    4538                 $prefix/lib/tk8.4 \ 
    4539                 $x_libraries/tk8.4 \ 
    4540                 $PWD/../tk8.4/library \ 
    4541                 /usr/src/local/tk8.4/library \ 
    4542                 /usr/local/lib/tk \ 
    4543                 /usr/lib/tk \ 
    4544                 $x_libraries/tk" 
    4545         for dir in $places; do 
    4546                 if test -r $dir/tk.tcl; then 
    4547                         V_LIBRARY_TK=$dir 
    4548                         break 
    4549                 fi 
    4550         done 
    4551         if test "$V_LIBRARY_TK" = FAIL; then 
    4552                 echo "can't find tk/tk.tcl" 
    4553                 exit 1 
    4554         fi 
    4555 fi 
    4556 if test -r $V_LIBRARY_TK/optionMenu.tcl ; then 
    4557         V_TKDOSNAMES='$(LIBRARY_TK)/optionMenu.tcl $(LIBRARY_TK)/scrollbar.tcl' 
    4558         V_NEED_DL="" 
    4559 else 
    4560         V_TKDOSNAMES='$(LIBRARY_TK)/optMenu.tcl $(LIBRARY_TK)/scrlbar.tcl' 
    4561         V_NEED_DL=YES 
    4562 fi 
     4107    fi 
     4108 
     4109    # eval is required to do the TK_DBGX substitution 
     4110    eval "TK_LIB_FLAG=\"${TK_LIB_FLAG}\"" 
     4111    eval "TK_LIB_SPEC=\"${TK_LIB_SPEC}\"" 
     4112    eval "TK_STUB_LIB_FLAG=\"${TK_STUB_LIB_FLAG}\"" 
     4113    eval "TK_STUB_LIB_SPEC=\"${TK_STUB_LIB_SPEC}\"" 
     4114 
     4115 
     4116 
     4117 
     4118 
     4119 
     4120 
     4121 
     4122 
     4123 
     4124 
     4125 
     4126 
     4127 
     4128echo "$as_me:$LINENO: checking for a compatible version of Tk" >&5 
     4129echo $ECHO_N "checking for a compatible version of Tk... $ECHO_C" >&6 
     4130if test "${TCL_VERSION}" == "${TK_VERSION}"; then 
     4131    echo "$as_me:$LINENO: result: Tk ${TK_VERSION}${TK_PATCH_LEVEL}" >&5 
     4132echo "${ECHO_T}Tk ${TK_VERSION}${TK_PATCH_LEVEL}" >&6 
     4133 
     4134    if test "$aquatk" = yes; then 
     4135        echo "Using AquaTk" 
     4136        V_DEFINE="$V_DEFINE -DMAC_OSX_TK" 
     4137    fi 
     4138 
     4139else 
     4140    { { echo "$as_me:$LINENO: error: ${TCL_BIN_DIR}/tclConfig.sh is for Tcl ${TCL_VERSION}. 
     4141${TK_BIN_DIR}/tkConfig.sh is for Tk ${TK_VERSION}. 
     4142Tk ${TK_VERSION} needs Tcl ${TK_VERSION} 
     4143Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl. 
     4144Use --with-tk= option to indicate location of tkConfig.sh file for Tk." >&5 
     4145echo "$as_me: error: ${TCL_BIN_DIR}/tclConfig.sh is for Tcl ${TCL_VERSION}. 
     4146${TK_BIN_DIR}/tkConfig.sh is for Tk ${TK_VERSION}. 
     4147Tk ${TK_VERSION} needs Tcl ${TK_VERSION} 
     4148Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl. 
     4149Use --with-tk= option to indicate location of tkConfig.sh file for Tk." >&2;} 
     4150   { (exit 1); exit 1; }; } 
     4151fi 
     4152 
     4153if test -f "${TCL_BIN_DIR}/Makefile" ; then 
     4154    # dealing with Tcl source tree 
     4155    V_INCLUDE_TCL="-I${TCL_SRC_DIR}/generic" 
     4156    V_LIBRARY_TCL="${TCL_SRC_DIR}/library" 
     4157    V_LIB_TCL="-L${TCL_SRC_DIR}/unix ${TCL_LIB_FLAG}" 
     4158 
     4159else 
     4160    # dealing with Tcl system install 
     4161 
     4162    if test -d "${TCL_BIN_DIR}/Headers" ; then 
     4163        # Darwin / MacOS X 
     4164        V_INCLUDE_TCL=-I${TCL_BIN_DIR}/Headers 
     4165        V_LIBRARY_TCL=${TCL_BIN_DIR}/Resources/Scripts 
     4166 
     4167    else 
     4168        V_INCLUDE_TCL=$TCL_INCLUDE_SPEC 
     4169 
     4170        V_LIBRARY_TCL=FAIL 
     4171        for dir in $TCL_PACKAGE_PATH; do 
     4172            if test -r "${dir}/init.tcl" ; then 
     4173                V_LIBRARY_TCL=$dir 
     4174                break 
     4175            elif test -r "${dir}/tcl${TCL_VERSION}/init.tcl" ; then 
     4176                V_LIBRARY_TCL="${dir}/tcl${TCL_VERSION}" 
     4177                break 
     4178            fi 
     4179        done 
     4180        if test $V_LIBRARY_TCL = FAIL ; then 
     4181            echo "can't find init.tcl in ${TCL_PACKAGE_PATH}" 
     4182            exit 1 
     4183        fi 
     4184    fi 
     4185    V_LIB_TCL=$TCL_LIB_SPEC 
     4186fi 
     4187 
     4188 
     4189 
     4190 
     4191 
     4192 
     4193if test -f "${TK_BIN_DIR}/Makefile" ; then 
     4194    # dealing with Tk source tree 
     4195    V_INCLUDE_TK="-I${TK_SRC_DIR}/generic" 
     4196    V_LIBRARY_TK="${TK_SRC_DIR}/library" 
     4197    V_LIB_TK="-L${TK_SRC_DIR}/unix ${TK_LIB_FLAG}" 
     4198 
     4199else 
     4200    # dealing with Tk system install 
     4201 
     4202    if test -d "${TK_BIN_DIR}/Headers" ; then 
     4203        # Darwin / MacOS X 
     4204 
     4205        if test ! -f "${TK_BIN_DIR}/PrivateHeaders/tkInt.h" ; then 
     4206            { { echo "$as_me:$LINENO: error: ${TK_BIN_DIR}/PrivateHeaders/tkInt.h not found. 
     4207Use --with-tk= option to indicate location of tkConfig.sh file for a Tk 
     4208which comes with the PrivateHeaders folder." >&5 
     4209echo "$as_me: error: ${TK_BIN_DIR}/PrivateHeaders/tkInt.h not found. 
     4210Use --with-tk= option to indicate location of tkConfig.sh file for a Tk 
     4211which comes with the PrivateHeaders folder." >&2;} 
     4212   { (exit 1); exit 1; }; } 
     4213        fi 
     4214 
     4215        V_INCLUDE_TK="-I${TK_BIN_DIR}/Headers -I${TK_BIN_DIR}/PrivateHeaders" 
     4216        V_LIBRARY_TK=${TK_BIN_DIR}/Resources/Scripts 
     4217 
     4218    else 
     4219        V_INCLUDE_TK=$TK_INCLUDE_SPEC 
     4220 
     4221        V_LIBRARY_TK=FAIL 
     4222        TK_PACKAGE_PATH=`echo $TCL_PACKAGE_PATH | sed 's/tcl/tk/g'` 
     4223        TK_PACKAGE_PATH="$TK_PACKAGE_PATH $TCL_PACKAGE_PATH" 
     4224        for dir in $TK_PACKAGE_PATH; do 
     4225            if test -r "${dir}/tk.tcl" ; then 
     4226                V_LIBRARY_TK=$dir 
     4227                break 
     4228            elif test -r "${dir}/tk${TK_VERSION}/tk.tcl" ; then 
     4229                V_LIBRARY_TK="${dir}/tk${TK_VERSION}" 
     4230                break 
     4231            fi 
     4232        done 
     4233    fi 
     4234 
     4235    if test $V_LIBRARY_TK = FAIL ; then 
     4236        echo "can't find tk.tcl in ${TK_PACKAGE_PATH}" 
     4237        exit 1 
     4238    fi 
     4239    V_LIB_TK=$TK_LIB_SPEC 
     4240fi 
     4241 
     4242V_INCLUDE_X11=$TK_XINCLUDES 
     4243V_LIB_X11=$TK_XLIBSW 
     4244 
     4245# if using X11 shared memory add -lXext if not already supplied 
     4246if test $V_SHM = "-DUSE_SHM" -a "$aquatcl" != yes -a "$mingw" != "yes"; then 
     4247    echo $TK_XLIBSW | grep "\-lXext" > /dev/null 2>&1 
     4248    if test $? -ne 0 ; then 
     4249        V_LIB_X11="$V_LIB_X11 -lXext" 
     4250    fi 
     4251fi 
     4252 
     4253 
    45634254 
    45644255 
     
    64846175        V_BROKEN_OBJ= 
    64856176        V_DEFINE="$V_DEFINE -DHAVE_IPV6 -DHAVE_FAST_INT" 
    6486         V_LIB="$V_LIB -framework Carbon -framework QuickTime -lssl -lcrypto" 
     6177        V_LIB="$V_LIB -framework Carbon -framework QuickTime" 
    64876178        if test "$target_cpu" = powerpc; then 
    64886179            V_CCOPT="-O2 $ppc_tune" 
    64896180        fi 
    64906181        OPSYS=macosx 
    6491         ;; 
     6182        ;; 
    64926183esac 
    64936184 
     
    74027093s,@CPP@,$CPP,;t t 
    74037094s,@EGREP@,$EGREP,;t t 
     7095s,@TCL_VERSION@,$TCL_VERSION,;t t 
     7096s,@TCL_PATCH_LEVEL@,$TCL_PATCH_LEVEL,;t t 
     7097s,@TCL_BIN_DIR@,$TCL_BIN_DIR,;t t 
     7098s,@TCL_SRC_DIR@,$TCL_SRC_DIR,;t t 
     7099s,@TCL_LIB_FILE@,$TCL_LIB_FILE,;t t 
     7100s,@TCL_LIB_FLAG@,$TCL_LIB_FLAG,;t t 
     7101s,@TCL_LIB_SPEC@,$TCL_LIB_SPEC,;t t 
     7102s,@TCL_STUB_LIB_FILE@,$TCL_STUB_LIB_FILE,;t t 
     7103s,@TCL_STUB_LIB_FLAG@,$TCL_STUB_LIB_FLAG,;t t 
     7104s,@TCL_STUB_LIB_SPEC@,$TCL_STUB_LIB_SPEC,;t t 
     7105s,@TK_VERSION@,$TK_VERSION,;t t 
     7106s,@TK_BIN_DIR@,$TK_BIN_DIR,;t t 
     7107s,@TK_SRC_DIR@,$TK_SRC_DIR,;t t 
     7108s,@TK_LIB_FILE@,$TK_LIB_FILE,;t t 
     7109s,@TK_LIB_FLAG@,$TK_LIB_FLAG,;t t 
     7110s,@TK_LIB_SPEC@,$TK_LIB_SPEC,;t t 
     7111s,@TK_STUB_LIB_FILE@,$TK_STUB_LIB_FILE,;t t 
     7112s,@TK_STUB_LIB_FLAG@,$TK_STUB_LIB_FLAG,;t t 
     7113s,@TK_STUB_LIB_SPEC@,$TK_STUB_LIB_SPEC,;t t 
     7114s,@V_INCLUDE_TCL@,$V_INCLUDE_TCL,;t t 
     7115s,@V_LIBRARY_TCL@,$V_LIBRARY_TCL,;t t 
     7116s,@V_LIB_TCL@,$V_LIB_TCL,;t t 
     7117s,@V_INCLUDE_TK@,$V_INCLUDE_TK,;t t 
     7118s,@V_LIBRARY_TK@,$V_LIBRARY_TK,;t t 
     7119s,@V_LIB_TK@,$V_LIB_TK,;t t 
    74047120s,@V_INCLUDE_X11@,$V_INCLUDE_X11,;t t 
    74057121s,@V_LIB_X11@,$V_LIB_X11,;t t 
    7406 s,@V_INCLUDE_TCL@,$V_INCLUDE_TCL,;t t 
    7407 s,@V_LIB_TCL@,$V_LIB_TCL,;t t 
    7408 s,@V_LIBRARY_TCL@,$V_LIBRARY_TCL,;t t 
    7409 s,@V_TKDOSNAMES@,$V_TKDOSNAMES,;t t 
    7410 s,@V_INCLUDE_TK@,$V_INCLUDE_TK,;t t 
    7411 s,@V_LIB_TK@,$V_LIB_TK,;t t 
    7412 s,@V_LIBRARY_TK@,$V_LIBRARY_TK,;t t 
    74137122s,@V_LIB_FFMPEG@,$V_LIB_FFMPEG,;t t 
    74147123s,@V_LIB_X264@,$V_LIB_X264,;t t 
  • vic/branches/mpeg4/configure.in.head

    r4098 r4144  
    9292AC_ARG_ENABLE(aquatk,   --disable-aquatk        build with aquatk enabled, aquatk=no, ) 
    9393 
    94 if test "$aquatk" != "yes" -a "$mingw" != "yes"; then 
    95 builtin(include, configure.in.x11) 
    96 fi 
    9794builtin(include, configure.in.tk) 
  • vic/branches/mpeg4/configure.in.tk

    r4086 r4144  
    1 dnl autoconf rules to find tcl & tk  
    2 dnl $Header$ (LBL) 
     1SC_PATH_TCLCONFIG 
     2SC_LOAD_TCLCONFIG 
    33 
    4 AC_ARG_WITH(ucltcl,     --with-ucltcl=path      specify a pathname for UCL's tcl, ucltcl=$withval, ucltcl="") 
     4AC_MSG_CHECKING([for a compatible version of Tcl]) 
     5if test "${TCL_MAJOR_VERSION}" -gt 8  \ 
     6  -o \( "${TCL_MAJOR_VERSION}" -eq 8 -a "${TCL_MINOR_VERSION}" -ge 4 \); then 
     7    AC_MSG_RESULT([Tcl ${TCL_VERSION}${TCL_PATCH_LEVEL}]) 
    58 
    6 AC_ARG_WITH(tcl,        --with-tcl=path specify a pathname for tcl, d=$withval, d="") 
     9    if test "$aquatcl" = yes; then 
     10        echo "Using AquaTCL" 
     11        V_DEFINE="$V_DEFINE -DMAC_OSX_TCL" 
     12    fi 
    713 
    8 if test "$aquatcl" == yes; then 
    9         echo "Using AquaTCL" 
    10         V_LIB_TCL="-framework Tcl" 
    11         V_DEFINE="$V_DEFINE -DMAC_OSX_TCL" 
    12         V_LIBRARY_TCL=/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts 
    13         V_INCLUDE_TCL="-I/Library/Frameworks/Tcl.framework/Headers -I/Library/Frameworks/Tcl.framework/PrivateHeaders" 
     14elif test "${TCL_VERSION}" == "8.0" ; then 
     15    if test -f "${TCL_SRC_DIR}/generic/tcl2c.c" ; then 
     16        AC_MSG_RESULT([UCL Tcl ${TCL_VERSION}${TCL_PATCH_LEVEL}]) 
     17    else 
     18        AC_MSG_ERROR([Found Tcl 8.0 which is not UCL Tcl 8.0]) 
     19    fi 
    1420 
    15 elif test "$ucltcl" == yes; then 
    16         if test -z "$tcl"; then  
    17                 # UCL defaults 
    18                 ucltcl=../tcl-8.0 
    19         fi 
    20         if test ! -d "$ucltcl" ; then 
    21                 echo "UCL tcl path: '$ucltcl' is not a directory" 
    22                 exit 1 
    23         fi 
    24         V_INCLUDE_TCL="-I$ucltcl/generic" 
    25         case "$target" in  
    26           *-*-freebsd*) 
    27                 V_LIB_TCL="$ucltcl/unix/libtcl80.a" 
    28                 ;; 
    29           *) 
    30                 V_LIB_TCL="$ucltcl/unix/libtcl8.0.a" 
    31                 ;; 
    32         esac 
     21else 
     22    AC_MSG_ERROR([Tcl $TCL_VERSION, compatible Tcl for VIC not found 
     23Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl.]) 
     24fi 
    3325 
    34         V_LIBRARY_TCL=$ucltcl/library 
    35         echo "Using UCL's tcl-8.0: $ucltcl" 
    36                  
    37 elif test "$d" != "" ; then  
    38         echo "Not using UCL tcl - You're on your own!" 
    39         if test ! -d $d ; then  
    40                 echo "'$d' is not a directory" 
    41                 exit 1 
    42         fi 
    43         V_INCLUDE_TCL=-I$d/include 
    44         if test ! -r $d/include/tcl.h ; then 
    45                 echo "can't find tcl.h in $d/include" 
    46                 exit 1 
    47         fi 
    48         places="$d/lib64/libtcl8.4.so \ 
    49                 $d/lib64/libtcl8.4.dylib \ 
    50                 $d/lib64/libtcl8.4.a \ 
    51                 $d/lib64/libtcl.so \ 
    52                 $d/lib64/libtcl.dylib \ 
    53                 $d/lib64/libtcl.a \ 
    54                 $d/lib/libtcl8.4.so \ 
    55                 $d/lib/libtcl8.4.dylib \ 
    56                 $d/lib/libtcl8.4.a \ 
    57                 $d/lib/libtcl.so \ 
    58                 $d/lib/libtcl.dylib \ 
    59                 $d/lib/libtcl.a" 
    60         V_LIB_TCL=FAIL 
    61         for dir in $places; do 
    62                 if test -r $dir ; then 
    63                         V_LIB_TCL=$dir 
    64                         break 
    65                 fi 
    66         done 
    67         if test $V_LIB_TCL = FAIL ; then 
    68                 echo "can't find libtcl.a in $d/lib" 
    69                 exit 1 
    70         fi 
    71         places="$d/lib64/tcl-8.4 \ 
    72                 $d/lib64/tcl8.4 \ 
    73                 $d/lib64/tcl \ 
    74                 $d/lib/tcl-8.4 \ 
    75                 $d/lib/tcl8.4 \ 
    76                 $d/lib/tcl" 
    77         V_LIBRARY_TCL=FAIL 
    78         for dir in $places; do 
    79                 if test -r $dir/init.tcl ; then 
    80                         V_LIBRARY_TCL=$dir 
    81                         break 
    82                 fi 
    83         done 
    84         if test $V_LIBRARY_TCL = FAIL ; then 
    85                 echo "can't find init.tcl in $d/lib/tcl" 
    86                 exit 1 
    87         fi 
     26SC_PATH_TKCONFIG 
     27SC_LOAD_TKCONFIG 
     28 
     29AC_MSG_CHECKING([for a compatible version of Tk]) 
     30if test "${TCL_VERSION}" == "${TK_VERSION}"; then 
     31    AC_MSG_RESULT([Tk ${TK_VERSION}${TK_PATCH_LEVEL}]) 
     32 
     33    if test "$aquatk" = yes; then 
     34        echo "Using AquaTk" 
     35        V_DEFINE="$V_DEFINE -DMAC_OSX_TK" 
     36    fi 
     37 
    8838else 
    89         echo "Not using UCL tcl - You're on your own!" 
    90         AC_TEST_CPP([#include <tcl.h>], V_INCLUDE_TCL="", V_INCLUDE_TCL=FAIL) 
    91         if test "$V_INCLUDE_TCL" = FAIL; then 
    92                 echo "checking for tcl.h" 
    93                 places="$PWD/../tcl-8.4 \ 
    94                         $PWD/../tcl8.4 \ 
    95                         $PWD/../tcl \ 
    96                         /usr/local/include/tcl8.4 \ 
    97                         /usr/src/local/tcl8.4 \ 
    98                         /usr/include/tcl8.4 \ 
    99                         /import/tcl/include/tcl8.4 \ 
    100                         $prefix/include \ 
    101                         $x_includes/tk \ 
    102                         $x_includes \ 
    103                         /usr/local/include \ 
    104                         /usr/contrib/include \ 
    105                         /usr/include" 
    106                 for dir in $places; do 
    107                         if test -r $dir/tcl.h ; then 
    108                                 V_INCLUDE_TCL=-I$dir 
    109                                 break 
    110                         fi 
    111                 done 
    112                 if test "$V_INCLUDE_TCL" = FAIL; then 
    113                         echo "can't find tcl.h" 
    114                         exit 1 
    115                 fi 
    116         fi 
    117         AC_CHECK_LIB(tcl8.4, main, V_LIB_TCL="-ltcl8.4", V_LIB_TCL="FAIL") 
    118         if test "$V_LIB_TCL" = FAIL; then 
    119                 echo "checking for libtcl.a" 
    120                 places="$PWD/../tcl-8.4/unix \ 
    121                         $PWD/../tcl8.4/unix \ 
    122                         $PWD/../tcl/unix \ 
    123                         /usr/local/lib \ 
    124                         $prefix/lib \ 
    125                         $x_libraries \ 
    126                         /usr/contrib/lib \ 
    127                         /usr/local/lib \ 
    128                         /usr/lib \ 
    129                         $PWD/../tcl8.4 \ 
    130                         /usr/src/local/tcl8.4 \ 
    131                         /import/tcl/lib/tcl8.4" 
    132                 for dir in $places; do 
    133                         if test -r $dir/libtcl8.4.so -o -r $dir/libtcl8.4.dylib -o -r $dir/libtcl8.4.a; then 
    134                                 V_LIB_TCL="-L$dir -ltcl8.4" 
    135                                 break 
    136                         fi 
    137                         if test -r $dir/libtcl.so -o -r $dir/libtcl.dylib -o -r $dir/libtcl.a; then 
    138                                 V_LIB_TCL="-L$dir -ltcl" 
    139                                 break 
    140                         fi 
    141                 done 
    142                 if test "$V_LIB_TCL" = FAIL; then 
    143                         echo "can't find libtcl.a" 
    144                         exit 1 
    145                 else 
    146                         if test $solaris ; then 
    147                                 V_LIB_TCL="-R$dir $V_LIB_TCL" 
    148                         fi 
    149                 fi 
    150         fi 
    151         echo "checking for tcl/init.tcl" 
    152         V_LIBRARY_TCL=FAIL 
    153         places="$PWD/../tcl-8.4/library \ 
    154                 $PWD/../tcl8.4/library \ 
    155                 $PWD/../tcl/library \ 
    156                 /System/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts \ 
    157                 /usr/local/lib/tcl8.4 \ 
    158                 /usr/contrib/lib/tcl8.4 \ 
    159                 /usr/lib/tcl8.4 \ 
    160                 /usr/lib/tk/tcl8.4 \ 
    161                 /import/tcl/lib/tcl8.4 \ 
    162                 $prefix/lib/tcl8.4 \ 
    163                 $x_libraries/tcl8.4 \ 
    164                 /usr/local/lib/tcl \ 
    165                 /usr/lib/tcl \ 
    166                 $x_libraries/tcl" 
    167         for dir in $places; do 
    168                 if test -r $dir/init.tcl; then 
    169                         V_LIBRARY_TCL=$dir 
    170                         break 
    171                 fi 
    172         done 
    173         if test "$V_LIBRARY_TCL" = FAIL; then 
    174                 echo "can't find tcl/init.tcl" 
    175                 exit 1 
    176         fi 
     39    AC_MSG_ERROR([${TCL_BIN_DIR}/tclConfig.sh is for Tcl ${TCL_VERSION}. 
     40${TK_BIN_DIR}/tkConfig.sh is for Tk ${TK_VERSION}. 
     41Tk ${TK_VERSION} needs Tcl ${TK_VERSION} 
     42Use --with-tcl= option to indicate location of tclConfig.sh file for Tcl. 
     43Use --with-tk= option to indicate location of tkConfig.sh file for Tk.]) 
    17744fi 
     45 
     46if test -f "${TCL_BIN_DIR}/Makefile" ; then 
     47    # dealing with Tcl source tree 
     48    V_INCLUDE_TCL="-I${TCL_SRC_DIR}/generic" 
     49    V_LIBRARY_TCL="${TCL_SRC_DIR}/library" 
     50    V_LIB_TCL="-L${TCL_SRC_DIR}/unix ${TCL_LIB_FLAG}" 
     51 
     52else 
     53    # dealing with Tcl system install 
     54 
     55    if test -d "${TCL_BIN_DIR}/Headers" ; then 
     56        # Darwin / MacOS X 
     57        V_INCLUDE_TCL=-I${TCL_BIN_DIR}/Headers 
     58        V_LIBRARY_TCL=${TCL_BIN_DIR}/Resources/Scripts 
     59 
     60    else 
     61        V_INCLUDE_TCL=$TCL_INCLUDE_SPEC 
     62 
     63        V_LIBRARY_TCL=FAIL 
     64        for dir in $TCL_PACKAGE_PATH; do 
     65            if test -r "${dir}/init.tcl" ; then 
     66                V_LIBRARY_TCL=$dir 
     67                break 
     68            elif test -r "${dir}/tcl${TCL_VERSION}/init.tcl" ; then 
     69                V_LIBRARY_TCL="${dir}/tcl${TCL_VERSION}" 
     70                break 
     71            fi 
     72        done 
     73        if test $V_LIBRARY_TCL = FAIL ; then 
     74            echo "can't find init.tcl in ${TCL_PACKAGE_PATH}" 
     75            exit 1 
     76        fi 
     77    fi 
     78    V_LIB_TCL=$TCL_LIB_SPEC 
     79fi 
     80 
    17881AC_SUBST(V_INCLUDE_TCL) 
     82AC_SUBST(V_LIBRARY_TCL) 
    17983AC_SUBST(V_LIB_TCL) 
    180 AC_SUBST(V_LIBRARY_TCL) 
    18184 
    182 AC_ARG_WITH(ucltk,      --with-ucltk=path       specify a pathname for UCL's tk, ucltk=$withval, ucltk="") 
    18385 
    184 AC_ARG_WITH(tk, --with-tk=path  specify a pathname for tk, d=$withval, d="") 
     86if test -f "${TK_BIN_DIR}/Makefile" ; then 
     87    # dealing with Tk source tree 
     88    V_INCLUDE_TK="-I${TK_SRC_DIR}/generic" 
     89    V_LIBRARY_TK="${TK_SRC_DIR}/library" 
     90    V_LIB_TK="-L${TK_SRC_DIR}/unix ${TK_LIB_FLAG}" 
    18591 
    186 if test "$aquatk" == yes; then 
    187         echo "Using AquaTk" 
    188         V_LIB_TK="-framework Tk" 
    189         V_DEFINE="$V_DEFINE -DMAC_OSX_TK" 
    190         V_LIBRARY_TK=/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts 
    191         V_INCLUDE_TK="-I/Library/Frameworks/Tk.framework/Headers -I/Library/Frameworks/Tk.framework/PrivateHeaders" 
     92else 
     93    # dealing with Tk system install 
    19294 
    193 elif test "$ucltk" == yes; then 
    194         if test -z "$tk"; then  
    195                 # UCL defaults 
    196                 ucltk=../tk-8.0 
    197         fi 
    198         if test ! -d "$ucltk" ; then 
    199                 echo "UCL TK dir: '$ucltk' is not a directory" 
    200                 exit 1 
    201         fi 
    202         V_INCLUDE_TK="-I$ucltk/generic" 
     95    if test -d "${TK_BIN_DIR}/Headers" ; then 
     96        # Darwin / MacOS X 
    20397 
    204         case "$target" in  
    205           *-*-freebsd*) 
    206                 V_LIB_TK="$ucltk/unix/libtk80.a" 
    207                 ;; 
    208           *) 
    209                 V_LIB_TK="$ucltk/unix/libtk8.0.a" 
    210                 ;; 
    211         esac 
    212         V_LIBRARY_TK=$ucltk/library 
    213         echo "Using UCL's tk-8.0: $ucltk" 
    214                  
    215 elif test "$d" != "" ; then  
    216         echo "Not using UCL tk - You're on your own!" 
    217         if test ! -d $d ; then  
    218                 echo "'$d' is not a directory" 
    219                 exit 1 
    220         fi 
    221         V_INCLUDE_TK=-I$d/include 
    222         if test ! -r $d/include/tk.h ; then 
    223                 echo "can't find tk.h in $d/include" 
    224                 exit 1 
    225         fi 
    226         places="$d/lib64/libtk8.4.so \ 
    227                 $d/lib64/libtk8.4.a \ 
    228                 $d/lib64/libtk.so \ 
    229                 $d/lib64/libtk.a \ 
    230                 $d/lib/libtk8.4.so \ 
    231                 $d/lib/libtk8.4.a \ 
    232                 $d/lib/libtk.so \ 
    233                 $d/lib/libtk.a" 
    234         V_LIB_TK=FAIL 
    235         for dir in $places; do 
    236                 if test -r $dir ; then 
    237                         V_LIB_TK=$dir 
    238                         break 
    239                 fi 
    240         done 
    241         if test $V_LIB_TK = FAIL ; then 
    242                 echo "can't find libtk.a in $d/lib" 
    243                 exit 1 
    244         fi 
    245         places="$d/lib64/tk8.4 \ 
    246                 $d/lib64/tk \ 
    247                 $d/lib/tk8.4 \ 
    248                 $d/lib/tk" 
    249         V_LIBRARY_TK=FAIL 
    250         for dir in $places; do 
    251                 if test -r $dir/tk.tcl ; then 
    252                         V_LIBRARY_TK=$dir 
    253                         break 
    254                 fi 
    255         done 
    256         if test $V_LIBRARY_TK = FAIL ; then 
    257                 echo "can't find tk.tcl in $d/lib/tk" 
    258                 exit 1 
    259         fi 
    260 else 
    261         echo "Not using UCL tk - You're on your own!" 
    262         AC_TEST_CPP([#include <tk.h>], V_INCLUDE_TK="", V_INCLUDE_TK=FAIL) 
    263         if test "$V_INCLUDE_TK" = FAIL; then 
    264                 echo "checking for tk.h" 
    265                 V_INCLUDE_TK="" 
    266                 places="$PWD/../tk8.4/generic \ 
    267                         $PWD/../tk-8.4/generic \ 
    268                         $PWD/../tk/generic \ 
    269                         /usr/local/include \ 
    270                         $prefix/include \ 
    271                         /usr/contrib/include \ 
    272                         /usr/include/tcl \ 
    273                         /usr/include\ 
    274                         $x_includes/tk \ 
    275                         $x_includes \ 
    276                         $PWD/../tk8.4 \ 
    277                         /usr/src/local/tk8.4 \ 
    278                         /usr/include/tcl8.4 \ 
    279                         /import/tcl/include/tk8.4" 
    280                 for dir in $places; do 
    281                         if test -r $dir/tk.h ; then 
    282                                 V_INCLUDE_TK=-I$dir 
    283                                 break 
    284                         fi 
    285                 done 
    286                 if test "$V_INCLUDE_TK" = FAIL; then 
    287                         echo "can't find tk.h" 
    288                         exit 1 
    289                 fi 
    290         fi 
    291         AC_CHECK_LIB(tk8.4, main, V_LIB_TK="-ltk8.4", V_LIB_TK="FAIL") 
    292         if test "$V_LIB_TK" = FAIL; then 
    293                 echo "checking for libtk8.4.a" 
    294                 places="$PWD/../tk-8.4/unix \ 
    295                         $PWD/../tk8.4/unix \ 
    296                         $PWD/../tk/unix \ 
    297                         /usr/local/lib \ 
    298                         /usr/contrib/lib \ 
    299                         /usr/lib \ 
    300                         /usr/lib/tk \ 
    301                         /import/tcl/lib \ 
    302                         $PWD/../tk8.4 \ 
    303                         /usr/src/local/tk8.4 \ 
    304                         $prefix/lib \ 
    305                         $x_libraries" 
    306                 for dir in $places; do 
    307                         if test -r $dir/libtk8.4.so -o -r $dir/libtk.dylib -o -r $dir/libtk8.4.a; then 
    308                                 V_LIB_TK="-L$dir -ltk8.4" 
    309                                 break 
    310                         fi 
    311                         if test -r $dir/libtk.so -o -r $dir/libtk.a; then 
    312                                 V_LIB_TK="-L$dir -ltk" 
    313                                 break 
    314                         fi 
    315                 done 
    316                 if test "$V_LIB_TK" = FAIL; then         
    317                         echo "can't find libtk.a" 
    318                         exit 1 
    319                 else 
    320                         if test $solaris ; then 
    321                                 V_LIB_TK="-R$dir $V_LIB_TK" 
    322                         fi 
    323                 fi 
    324         fi 
    325         echo "checking for tk/tk.tcl" 
    326         V_LIBRARY_TK=FAIL 
    327         places="$PWD/../tk-8.4/library \ 
    328                 $PWD/../tk8.4/library \ 
    329                 $PWD/../tk/library \ 
    330                 /usr/local/lib/tk8.4 \ 
    331                 /System/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts \ 
    332                 /usr/contrib/lib/tk8.4 \ 
    333                 /usr/lib/tk8.4 \ 
    334                 /usr/share/tk8.4 \ 
    335                 /usr/lib/tk/tk8.4 \ 
    336                 /import/tcl/lib/tk8.4 \ 
    337                 $prefix/lib/tk8.4 \ 
    338                 $x_libraries/tk8.4 \ 
    339                 $PWD/../tk8.4/library \ 
    340                 /usr/src/local/tk8.4/library \ 
    341                 /usr/local/lib/tk \ 
    342                 /usr/lib/tk \ 
    343                 $x_libraries/tk" 
    344         for dir in $places; do 
    345                 if test -r $dir/tk.tcl; then 
    346                         V_LIBRARY_TK=$dir 
    347                         break 
    348                 fi 
    349         done 
    350         if test "$V_LIBRARY_TK" = FAIL; then 
    351                 echo "can't find tk/tk.tcl" 
    352                 exit 1 
    353         fi 
     98        if test ! -f "${TK_BIN_DIR}/PrivateHeaders/tkInt.h" ; then 
     99            AC_MSG_ERROR([${TK_BIN_DIR}/PrivateHeaders/tkInt.h not found. 
     100Use --with-tk= option to indicate location of tkConfig.sh file for a Tk 
     101which comes with the PrivateHeaders folder.]) 
     102        fi 
     103 
     104        V_INCLUDE_TK="-I${TK_BIN_DIR}/Headers -I${TK_BIN_DIR}/PrivateHeaders" 
     105        V_LIBRARY_TK=${TK_BIN_DIR}/Resources/Scripts 
     106 
     107    else 
     108        V_INCLUDE_TK=$TK_INCLUDE_SPEC 
     109 
     110        V_LIBRARY_TK=FAIL 
     111        TK_PACKAGE_PATH=`echo $TCL_PACKAGE_PATH | sed 's/tcl/tk/g'` 
     112        TK_PACKAGE_PATH="$TK_PACKAGE_PATH $TCL_PACKAGE_PATH" 
     113        for dir in $TK_PACKAGE_PATH; do 
     114            if test -r "${dir}/tk.tcl" ; then 
     115                V_LIBRARY_TK=$dir 
     116                break 
     117            elif test -r "${dir}/tk${TK_VERSION}/tk.tcl" ; then 
     118                V_LIBRARY_TK="${dir}/tk${TK_VERSION}" 
     119                break 
     120            fi 
     121        done 
     122    fi 
     123 
     124    if test $V_LIBRARY_TK = FAIL ; then 
     125        echo "can't find tk.tcl in ${TK_PACKAGE_PATH}" 
     126        exit 1 
     127    fi 
     128    V_LIB_TK=$TK_LIB_SPEC 
    354129fi 
    355 if test -r $V_LIBRARY_TK/optionMenu.tcl ; then 
    356         V_TKDOSNAMES='$(LIBRARY_TK)/optionMenu.tcl $(LIBRARY_TK)/scrollbar.tcl' 
    357         V_NEED_DL="" 
    358 else 
    359         V_TKDOSNAMES='$(LIBRARY_TK)/optMenu.tcl $(LIBRARY_TK)/scrlbar.tcl' 
    360         V_NEED_DL=YES 
     130 
     131V_INCLUDE_X11=$TK_XINCLUDES 
     132V_LIB_X11=$TK_XLIBSW 
     133 
     134# if using X11 shared memory add -lXext if not already supplied 
     135if test $V_SHM = "-DUSE_SHM" -a "$aquatcl" != yes -a "$mingw" != "yes"; then 
     136    echo $TK_XLIBSW | grep "\-lXext" > /dev/null 2>&1 
     137    if test $? -ne 0 ; then 
     138        V_LIB_X11="$V_LIB_X11 -lXext" 
     139    fi 
    361140fi 
    362 AC_SUBST(V_TKDOSNAMES) 
     141 
    363142AC_SUBST(V_INCLUDE_TK) 
     143AC_SUBST(V_LIBRARY_TK) 
    364144AC_SUBST(V_LIB_TK) 
    365 AC_SUBST(V_LIBRARY_TK) 
    366145 
     146AC_SUBST(V_INCLUDE_X11) 
     147AC_SUBST(V_LIB_X11)